BizKitHub
DocsAPI ReferenceLedger/bff/ledger/stock/document/create
postLedgerAdmin BFF

/bff/ledger/stock/document/create

Create a stock document draft (optionally post it)

LedgerpostBffLedgerStockDocumentCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
postbooleanOptional
kind"receipt" | "issue" | "transfer"Required
purposestringRequired
Length: 1–20
warehouseIdstringRequired
Length: 16–24
targetWarehouseIdstring | nullOptional
One of 2:
Variant 1
string
Length: 16–24
Variant 2
null
datestringRequired
Example2026-11-04
partnerNamestring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
partnerRegNostring | nullOptional
One of 2:
Variant 1
string
Length: 0–20
Variant 2
null
referencestring | nullOptional
One of 2:
Variant 1
string
Length: 0–64
Variant 2
null
relatedDocumentIdstring | nullOptional
One of 2:
Variant 1
string
Length: 16–24
Variant 2
null
counterAccountCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
descriptionstringRequired
Length: 1–255
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–5000
Variant 2
null
linesobject[]Required
Each array item:
itemIdstringRequired
Length: 16–24
quantitynumberRequired
unitPricenumber | nullOptional
One of 2:
Variant 1
number
Range: 0–∞
Variant 2
null
totalnumber | nullOptional
One of 2:
Variant 1
number
Range: 0–∞
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired
documentNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/ledger/stock/document/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/stock/document/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "post": false,
  "purpose": "example_purpose",
  "warehouseId": "example_warehouseId",
  "date": "2026-11-04",
  "description": "example_description",
  "lines": [
    {
      "itemId": "example_itemId",
      "quantity": 0
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key